pelican-commonmark

This reader plugin replaces the markdown reader with one that uses the Python parser for CommonMark


License
LAL-1.3
Install
pip install pelican-commonmark==0.1.0

Documentation

CommonMark for Pelican

Build Status Coverage Status

This reader plugin replaces the markdown reader with one that uses the Python parser for CommonMark.

It is useful if you want to use the CommonMark way of parsing markdown inside non-trivial nested HTML tags. It is not useful if you want to use the extensions available to the python markdown parser.

Installation

pip install pelican-commonmark

Add/update the PLUGINS variable in your pelicanconf.py:

PLUGINS = [
    ...
    "pelican_commonmark",
    ...
]

LICENSE

BSD